Index: uspace/lib/usb/src/hc.c
===================================================================
--- uspace/lib/usb/src/hc.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usb/src/hc.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -27,5 +27,4 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-
 /** @addtogroup libusb
  * @{
@@ -34,5 +33,4 @@
  * General communication with host controller driver (implementation).
  */
-
 #include <usb/debug.h>
 
@@ -46,5 +44,4 @@
 {
 	assert(connection);
-	
 	fibril_mutex_lock(&connection->guard);
 	if (connection->ref_count == 0) {
@@ -58,14 +55,12 @@
 		}
 	}
-	
 	++connection->ref_count;
 	fibril_mutex_unlock(&connection->guard);
 	return EOK;
 }
-
+/*----------------------------------------------------------------------------*/
 static int usb_hc_connection_del_ref(usb_hc_connection_t *connection)
 {
 	assert(connection);
-	
 	fibril_mutex_lock(&connection->guard);
 	if (connection->ref_count == 0) {
@@ -75,5 +70,4 @@
 		return EOK;
 	}
-	
 	--connection->ref_count;
 	int ret = EOK;
@@ -131,5 +125,5 @@
 	return rc;
 }
-
+/*----------------------------------------------------------------------------*/
 void usb_hc_connection_deinitialize(usb_hc_connection_t *connection)
 {
@@ -146,5 +140,5 @@
 	fibril_mutex_unlock(&connection->guard);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Open connection to host controller.
  *
@@ -156,5 +150,5 @@
 	return usb_hc_connection_add_ref(connection);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Close connection to the host controller.
  *
@@ -166,5 +160,5 @@
 	return usb_hc_connection_del_ref(connection);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Ask host controller for free address assignment.
  *
@@ -188,5 +182,5 @@
 	return ret == EOK ? address : ret;
 }
-
+/*----------------------------------------------------------------------------*/
 int usb_hc_bind_address(usb_hc_connection_t * connection,
     usb_address_t address, devman_handle_t handle)
@@ -200,5 +194,5 @@
 	return ret;
 }
-
+/*----------------------------------------------------------------------------*/
 /** Get handle of USB device with given address.
  *
@@ -219,5 +213,5 @@
 	return ret;
 }
-
+/*----------------------------------------------------------------------------*/
 int usb_hc_release_address(usb_hc_connection_t *connection,
     usb_address_t address)
@@ -231,5 +225,5 @@
 	return ret;
 }
-
+/*----------------------------------------------------------------------------*/
 int usb_hc_register_endpoint(usb_hc_connection_t *connection,
     usb_address_t address, usb_endpoint_t endpoint, usb_transfer_type_t type,
@@ -245,5 +239,5 @@
 	return ret;
 }
-
+/*----------------------------------------------------------------------------*/
 int usb_hc_unregister_endpoint(usb_hc_connection_t *connection,
     usb_address_t address, usb_endpoint_t endpoint, usb_direction_t direction)
@@ -258,5 +252,5 @@
 	return ret;
 }
-
+/*----------------------------------------------------------------------------*/
 int usb_hc_read(usb_hc_connection_t *connection, usb_address_t address,
     usb_endpoint_t endpoint, uint64_t setup, void *data, size_t size,
@@ -272,5 +266,5 @@
 	return ret;
 }
-
+/*----------------------------------------------------------------------------*/
 int usb_hc_write(usb_hc_connection_t *connection, usb_address_t address,
     usb_endpoint_t endpoint, uint64_t setup, const void *data, size_t size)
Index: uspace/lib/usbdev/include/usb/dev/hub.h
===================================================================
--- uspace/lib/usbdev/include/usb/dev/hub.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usbdev/include/usb/dev/hub.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -35,5 +35,4 @@
  * For class specific requests, see usb/classes/hub.h.
  */
-
 #ifndef LIBUSBDEV_HUB_H_
 #define LIBUSBDEV_HUB_H_
@@ -44,5 +43,5 @@
 #include <usb/hc.h>
 
-extern int usb_hc_new_device_wrapper(ddf_dev_t *, usb_hc_connection_t *, usb_speed_t,
+int usb_hc_new_device_wrapper(ddf_dev_t *, usb_hc_connection_t *, usb_speed_t,
     int (*)(void *), void *, usb_address_t *, ddf_dev_ops_t *, void *,
     ddf_fun_t **);
@@ -61,5 +60,5 @@
 } usb_hub_attached_device_t;
 
-extern int usb_hub_register_device(usb_hc_connection_t *,
+int usb_hub_register_device(usb_hc_connection_t *,
     const usb_hub_attached_device_t *);
 
@@ -70,10 +69,8 @@
 	if (attached_device == NULL)
 		return EBADMEM;
-	
 	return usb_hc_release_address(conn, attached_device->address);
 }
 
 #endif
-
 /**
  * @}
Index: uspace/lib/usbdev/include/usb/dev/recognise.h
===================================================================
--- uspace/lib/usbdev/include/usb/dev/recognise.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usbdev/include/usb/dev/recognise.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -33,5 +33,4 @@
  * USB device recognition.
  */
-
 #ifndef LIBUSBDEV_RECOGNISE_H_
 #define LIBUSBDEV_RECOGNISE_H_
@@ -42,18 +41,17 @@
 #include <ipc/devman.h>
 
-extern int usb_device_create_match_ids_from_device_descriptor(
+int usb_device_create_match_ids_from_device_descriptor(
     const usb_standard_device_descriptor_t *, match_id_list_t *);
 
-extern int usb_device_create_match_ids_from_interface(
+int usb_device_create_match_ids_from_interface(
     const usb_standard_device_descriptor_t *,
     const usb_standard_interface_descriptor_t *, match_id_list_t *);
 
-extern int usb_device_create_match_ids(usb_pipe_t *, match_id_list_t *);
+int usb_device_create_match_ids(usb_pipe_t *, match_id_list_t *);
 
-extern int usb_device_register_child_in_devman(usb_pipe_t *ctrl_pipe,
+int usb_device_register_child_in_devman(usb_pipe_t *ctrl_pipe,
     ddf_dev_t *, ddf_dev_ops_t *, void *, ddf_fun_t **);
 
 #endif
-
 /**
  * @}
Index: uspace/lib/usbdev/src/hub.c
===================================================================
--- uspace/lib/usbdev/src/hub.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usbdev/src/hub.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -33,5 +33,4 @@
  * Functions needed by hub drivers.
  */
-
 #include <usb/dev/hub.h>
 #include <usb/dev/pipes.h>
@@ -115,4 +114,5 @@
 	return EOK;
 }
+
 
 /** Wrapper for registering attached device to the hub.
@@ -160,5 +160,5 @@
     ddf_dev_ops_t *dev_ops, void *new_dev_data, ddf_fun_t **new_fun)
 {
-	if ((new_fun == NULL) || (hc_conn == NULL))
+	if (new_fun == NULL || hc_conn == NULL)
 		return EINVAL;
 
Index: uspace/lib/usbdev/src/recognise.c
===================================================================
--- uspace/lib/usbdev/src/recognise.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usbdev/src/recognise.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -33,5 +33,4 @@
  * Functions for recognition of attached devices.
  */
-
 #include <sys/types.h>
 #include <fibril_synch.h>
@@ -312,5 +311,4 @@
  *	will be written.
  * @return Error code.
- *
  */
 int usb_device_register_child_in_devman(usb_pipe_t *ctrl_pipe,
@@ -320,23 +318,23 @@
 	if (child_fun == NULL || ctrl_pipe == NULL)
 		return EINVAL;
-	
+
 	if (!dev_ops && dev_data) {
 		usb_log_warning("Using standard fun ops with arbitrary "
 		    "driver data. This does not have to work.\n");
 	}
-	
+
 	/** Index to append after device name for uniqueness. */
 	static atomic_t device_name_index = {0};
 	const size_t this_device_name_index =
 	    (size_t) atomic_preinc(&device_name_index);
-	
+
 	ddf_fun_t *child = NULL;
 	int rc;
-	
+
 	/*
 	 * TODO: Once the device driver framework support persistent
 	 * naming etc., something more descriptive could be created.
 	 */
-	char child_name[12];  /* The format is: "usbAB_aXYZ", length 11 */
+	char child_name[12]; /* The format is: "usbAB_aXYZ", length 11 */
 	rc = snprintf(child_name, sizeof(child_name),
 	    "usb%02zu_a%d", this_device_name_index, ctrl_pipe->wire->address);
@@ -344,5 +342,5 @@
 		goto failure;
 	}
-	
+
 	child = ddf_fun_create(parent, fun_inner, child_name);
 	if (child == NULL) {
@@ -350,15 +348,14 @@
 		goto failure;
 	}
-	
-	if (dev_ops != NULL)
+
+	if (dev_ops != NULL) {
 		child->ops = dev_ops;
-	else
+	} else {
 		child->ops = &child_ops;
-	
+	}
+
 	child->driver_data = dev_data;
-	/*
-	 * Store the attached device in fun
-	 * driver data if there is no other data
-	 */
+	/* Store the attached device in fun driver data if there is no
+	 * other data */
 	if (!dev_data) {
 		usb_hub_attached_device_t *new_device = ddf_fun_data_alloc(
@@ -368,33 +365,36 @@
 			goto failure;
 		}
-		
 		new_device->address = ctrl_pipe->wire->address;
 		new_device->fun = child;
 	}
-	
+
+
 	rc = usb_device_create_match_ids(ctrl_pipe, &child->match_ids);
-	if (rc != EOK)
+	if (rc != EOK) {
 		goto failure;
-	
+	}
+
 	rc = ddf_fun_bind(child);
-	if (rc != EOK)
+	if (rc != EOK) {
 		goto failure;
-	
+	}
+
 	*child_fun = child;
 	return EOK;
-	
+
 failure:
 	if (child != NULL) {
 		/* We know nothing about the data if it came from outside. */
-		if (dev_data)
+		if (dev_data) {
 			child->driver_data = NULL;
-		
+		}
 		/* This takes care of match_id deallocation as well. */
 		ddf_fun_destroy(child);
 	}
-	
+
 	return rc;
 }
 
+
 /**
  * @}
Index: uspace/lib/usbhost/include/usb/host/hcd.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/hcd.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usbhost/include/usb/host/hcd.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -33,5 +33,4 @@
  *
  */
-
 #ifndef LIBUSBHOST_HOST_HCD_H
 #define LIBUSBHOST_HOST_HCD_H
@@ -62,5 +61,5 @@
 	void (*ep_remove_hook)(hcd_t *, endpoint_t *);
 };
-
+/*----------------------------------------------------------------------------*/
 /** Initialize hcd_t structure.
  * Initializes device and endpoint managers. Sets data and hook pointer to NULL.
@@ -80,5 +79,5 @@
 	hcd->ep_remove_hook = NULL;
 }
-
+/*----------------------------------------------------------------------------*/
 /** Check registered endpoints and reset toggle bit if necessary.
  * @param hcd hcd_t structure, non-null.
@@ -93,5 +92,5 @@
 	    &hcd->ep_manager, target, (const uint8_t *)setup_data);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Data retrieve wrapper.
  * @param fun ddf function, non-null.
@@ -103,9 +102,8 @@
 	return fun->driver_data;
 }
-
+/*----------------------------------------------------------------------------*/
 extern usbhc_iface_t hcd_iface;
 
 #endif
-
 /**
  * @}
Index: uspace/lib/usbhost/include/usb/host/usb_transfer_batch.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/usb_transfer_batch.h	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usbhost/include/usb/host/usb_transfer_batch.h	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -26,5 +26,4 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-
 /** @addtogroup libusbhost
  * @{
@@ -33,5 +32,4 @@
  * USB transfer transaction structures.
  */
-
 #ifndef LIBUSBHOST_HOST_USB_TRANSFER_BATCH_H
 #define LIBUSBHOST_HOST_USB_TRANSFER_BATCH_H
@@ -117,5 +115,5 @@
 void usb_transfer_batch_finish_error(const usb_transfer_batch_t *instance,
     const void* data, size_t size, int error);
-
+/*----------------------------------------------------------------------------*/
 /** Finish batch using stored error value and transferred size.
  *
@@ -130,5 +128,5 @@
 	    instance, data, instance->transfered_size, instance->error);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Determine batch direction based on the callbacks present
  * @param[in] instance Batch structure to use, non-null.
@@ -155,7 +153,5 @@
 	assert(false);
 }
-
 #endif
-
 /**
  * @}
Index: uspace/lib/usbhost/src/iface.c
===================================================================
--- uspace/lib/usbhost/src/iface.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/lib/usbhost/src/iface.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -26,5 +26,4 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-
 /** @addtogroup libusbhost
  * @{
@@ -33,5 +32,4 @@
  * @brief HCD DDF interface implementation
  */
-
 #include <ddf/driver.h>
 #include <errno.h>
@@ -100,5 +98,5 @@
 	return ret;
 }
-
+/*----------------------------------------------------------------------------*/
 /** Calls ep_add_hook upon endpoint registration.
  * @param ep Endpoint to be registered.
@@ -115,5 +113,5 @@
 	return EOK;
 }
-
+/*----------------------------------------------------------------------------*/
 /** Calls ep_remove_hook upon endpoint removal.
  * @param ep Endpoint to be unregistered.
@@ -128,5 +126,5 @@
 		hcd->ep_remove_hook(hcd, ep);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Calls ep_remove_hook upon endpoint removal. Prints warning.
  * @param ep Endpoint to be unregistered.
@@ -143,5 +141,5 @@
 		hcd->ep_remove_hook(hcd, ep);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Request address interface function.
  *
@@ -166,5 +164,5 @@
 	    &hcd->dev_manager, address, strict, speed);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Bind address interface function.
  *
@@ -185,5 +183,5 @@
 	    &hcd->dev_manager, address, handle);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Find device handle by address interface function.
  *
@@ -202,5 +200,5 @@
 	    &hcd->dev_manager, address, handle, NULL);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Release address interface function.
  *
@@ -220,5 +218,5 @@
 	return EOK;
 }
-
+/*----------------------------------------------------------------------------*/
 /** Register endpoint interface function.
  * @param fun DDF function.
@@ -256,5 +254,5 @@
 	    register_helper, hcd);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Unregister endpoint interface function.
  * @param fun DDF function.
@@ -276,5 +274,5 @@
 	    endpoint, direction, unregister_helper, hcd);
 }
-
+/*----------------------------------------------------------------------------*/
 /** Inbound communication interface function.
  * @param fun DDF function.
@@ -294,5 +292,5 @@
 	    setup_data, callback, NULL, arg, "READ");
 }
-
+/*----------------------------------------------------------------------------*/
 /** Outbound communication interface function.
  * @param fun DDF function.
@@ -312,5 +310,5 @@
 	    setup_data, NULL, callback, arg, "WRITE");
 }
-
+/*----------------------------------------------------------------------------*/
 /** usbhc Interface implementation using hcd_t from libusbhost library. */
 usbhc_iface_t hcd_iface = {
@@ -326,5 +324,4 @@
 	.write = usb_write,
 };
-
 /**
  * @}
Index: uspace/srv/bd/ata_bd/ata_bd.c
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/bd/ata_bd/ata_bd.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -191,5 +191,5 @@
 	}
 
-	printf("%s: Accepting connections\n", NAME);
+	printf(NAME ": Accepting connections\n");
 	task_retval(0);
 	async_manager();
@@ -243,28 +243,31 @@
 static int ata_bd_init(void)
 {
+	void *vaddr;
+	int rc;
+	
 	async_set_client_connection(ata_bd_connection);
-	int rc = loc_server_register(NAME);
-	if (rc != EOK) {
-		printf("%s: Unable to register driver.\n", NAME);
+	rc = loc_server_register(NAME);
+	if (rc < 0) {
+		printf(NAME ": Unable to register driver.\n");
 		return rc;
 	}
-	
-	void *vaddr;
+
 	rc = pio_enable((void *) cmd_physical, sizeof(ata_cmd_t), &vaddr);
 	if (rc != EOK) {
-		printf("%s: Could not initialize device I/O space.\n", NAME);
+		printf(NAME ": Could not initialize device I/O space.\n");
 		return rc;
 	}
-	
+
 	cmd = vaddr;
-	
+
 	rc = pio_enable((void *) ctl_physical, sizeof(ata_ctl_t), &vaddr);
 	if (rc != EOK) {
-		printf("%s: Could not initialize device I/O space.\n", NAME);
+		printf(NAME ": Could not initialize device I/O space.\n");
 		return rc;
 	}
-	
+
 	ctl = vaddr;
-	
+
+
 	return EOK;
 }
@@ -308,5 +311,5 @@
 
 	(void) async_share_out_finalize(callid, &fs_va);
-	if (fs_va == AS_MAP_FAILED) {
+	if (fs_va == (void *) -1) {
 		async_answer_0(callid, EHANGUP);
 		return;
Index: uspace/srv/bd/file_bd/file_bd.c
===================================================================
--- uspace/srv/bd/file_bd/file_bd.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/bd/file_bd/file_bd.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -119,13 +119,13 @@
 	rc = loc_service_register(device_name, &service_id);
 	if (rc != EOK) {
-		printf("%s: Unable to register device '%s'.\n",
-		    NAME, device_name);
+		printf(NAME ": Unable to register device '%s'.\n",
+			device_name);
 		return rc;
 	}
-	
-	printf("%s: Accepting connections\n", NAME);
+
+	printf(NAME ": Accepting connections\n");
 	task_retval(0);
 	async_manager();
-	
+
 	/* Not reached */
 	return 0;
@@ -139,30 +139,33 @@
 static int file_bd_init(const char *fname)
 {
+	int rc;
+	long img_size;
+	
 	async_set_client_connection(file_bd_connection);
-	int rc = loc_server_register(NAME);
-	if (rc != EOK) {
-		printf("%s: Unable to register driver.\n", NAME);
+	rc = loc_server_register(NAME);
+	if (rc < 0) {
+		printf(NAME ": Unable to register driver.\n");
 		return rc;
 	}
-	
+
 	img = fopen(fname, "rb+");
 	if (img == NULL)
 		return EINVAL;
-	
+
 	if (fseek(img, 0, SEEK_END) != 0) {
 		fclose(img);
 		return EIO;
 	}
-	
-	off64_t img_size = ftell(img);
+
+	img_size = ftell(img);
 	if (img_size < 0) {
 		fclose(img);
 		return EIO;
 	}
-	
+
 	num_blocks = img_size / block_size;
-	
+
 	fibril_mutex_initialize(&dev_lock);
-	
+
 	return EOK;
 }
@@ -189,5 +192,5 @@
 
 	(void) async_share_out_finalize(callid, &fs_va);
-	if (fs_va == AS_MAP_FAILED) {
+	if (fs_va == (void *) -1) {
 		async_answer_0(callid, EHANGUP);
 		return;
Index: uspace/srv/bd/gxe_bd/gxe_bd.c
===================================================================
--- uspace/srv/bd/gxe_bd/gxe_bd.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/bd/gxe_bd/gxe_bd.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -122,34 +122,33 @@
 static int gxe_bd_init(void)
 {
+	void *vaddr;
+	int rc, i;
+	char name[16];
+	
 	async_set_client_connection(gxe_bd_connection);
-	int rc = loc_server_register(NAME);
-	if (rc != EOK) {
-		printf("%s: Unable to register driver.\n", NAME);
+	rc = loc_server_register(NAME);
+	if (rc < 0) {
+		printf(NAME ": Unable to register driver.\n");
 		return rc;
 	}
-	
-	void *vaddr;
+
 	rc = pio_enable((void *) dev_physical, sizeof(gxe_bd_t), &vaddr);
 	if (rc != EOK) {
-		printf("%s: Could not initialize device I/O space.\n", NAME);
+		printf(NAME ": Could not initialize device I/O space.\n");
 		return rc;
 	}
-	
+
 	dev = vaddr;
-	
-	for (unsigned int i = 0; i < MAX_DISKS; i++) {
-		char name[16];
-		
-		snprintf(name, 16, "%s/disk%u", NAMESPACE, i);
+
+	for (i = 0; i < MAX_DISKS; i++) {
+		snprintf(name, 16, "%s/disk%d", NAMESPACE, i);
 		rc = loc_service_register(name, &service_id[i]);
 		if (rc != EOK) {
-			printf("%s: Unable to register device %s.\n", NAME,
-			    name);
+			printf(NAME ": Unable to register device %s.\n", name);
 			return rc;
 		}
-		
 		fibril_mutex_initialize(&dev_lock[i]);
 	}
-	
+
 	return EOK;
 }
@@ -196,5 +195,5 @@
 
 	(void) async_share_out_finalize(callid, &fs_va);
-	if (fs_va == AS_MAP_FAILED) {
+	if (fs_va == (void *) -1) {
 		async_answer_0(callid, EHANGUP);
 		return;
Index: uspace/srv/bd/part/guid_part/guid_part.c
===================================================================
--- uspace/srv/bd/part/guid_part/guid_part.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/bd/part/guid_part/guid_part.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -170,5 +170,5 @@
 		return rc;
 	}
-	
+
 	/*
 	 * Create partition devices.
@@ -350,5 +350,5 @@
 
 	(void) async_share_out_finalize(callid, &fs_va);
-	if (fs_va == AS_MAP_FAILED) {
+	if (fs_va == (void *) -1) {
 		async_answer_0(callid, EHANGUP);
 		return;
Index: uspace/srv/bd/part/mbr_part/mbr_part.c
===================================================================
--- uspace/srv/bd/part/mbr_part/mbr_part.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/bd/part/mbr_part/mbr_part.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -427,5 +427,5 @@
 
 	(void) async_share_out_finalize(callid, &fs_va);
-	if (fs_va == AS_MAP_FAILED) {
+	if (fs_va == (void *) -1) {
 		async_answer_0(callid, EHANGUP);
 		return;
Index: uspace/srv/bd/rd/rd.c
===================================================================
--- uspace/srv/bd/rd/rd.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/bd/rd/rd.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -106,5 +106,5 @@
 	if (async_share_out_receive(&callid, &comm_size, &flags)) {
 		(void) async_share_out_finalize(callid, &fs_va);
-		if (fs_va == AS_MAP_FAILED) {
+		if (fs_va == (void *) -1) {
 			async_answer_0(callid, EHANGUP);
 			return;
@@ -237,5 +237,5 @@
 	async_set_client_connection(rd_connection);
 	ret = loc_server_register(NAME);
-	if (ret != EOK) {
+	if (ret < 0) {
 		printf("%s: Unable to register driver (%d)\n", NAME, ret);
 		return false;
Index: uspace/srv/clipboard/clipboard.c
===================================================================
--- uspace/srv/clipboard/clipboard.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/clipboard/clipboard.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -181,7 +181,7 @@
 	
 	async_set_client_connection(clip_connection);
-	int rc = service_register(SERVICE_CLIPBOARD);
-	if (rc != EOK)
-		return rc;
+	
+	if (service_register(SERVICE_CLIPBOARD) != EOK)
+		return -1;
 	
 	printf("%s: Accepting connections\n", NAME);
Index: uspace/srv/devman/main.c
===================================================================
--- uspace/srv/devman/main.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/devman/main.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -245,5 +245,5 @@
 	
 	fibril_rwlock_write_lock(&device_tree.rwlock);
-	
+
 	if (fun->state == FUN_ON_LINE) {
 		fibril_rwlock_write_unlock(&device_tree.rwlock);
@@ -259,5 +259,5 @@
 			return ENOMEM;
 		}
-		
+
 		insert_dev_node(&device_tree, dev, fun);
 		dev_add_ref(dev);
@@ -272,5 +272,4 @@
 		/* Give one reference over to assign_driver_fibril(). */
 		dev_add_ref(dev);
-		
 		/*
 		 * Try to find a suitable driver and assign it to the device.  We do
@@ -289,6 +288,7 @@
 		}
 		fibril_add_ready(assign_fibril);
-	} else
+	} else {
 		loc_register_tree_function(fun, &device_tree);
+	}
 	
 	fibril_rwlock_write_unlock(&device_tree.rwlock);
@@ -419,7 +419,5 @@
 	
 	/* Check that function with same name is not there already. */
-	fun_node_t *tfun = find_fun_node_in_device(tree, pdev, fun_name);
-	if (tfun) {
-		fun_del_ref(tfun);	/* drop the new unwanted reference */
+	if (find_fun_node_in_device(tree, pdev, fun_name) != NULL) {
 		fibril_rwlock_write_unlock(&tree->rwlock);
 		dev_del_ref(pdev);
@@ -857,68 +855,4 @@
 }
 
-/** Get function driver name. */
-static void devman_fun_get_driver_name(ipc_callid_t iid, ipc_call_t *icall)
-{
-	devman_handle_t handle = IPC_GET_ARG1(*icall);
-
-	fun_node_t *fun = find_fun_node(&device_tree, handle);
-	if (fun == NULL) {
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	ipc_callid_t data_callid;
-	size_t data_len;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EINVAL);
-		fun_del_ref(fun);
-		return;
-	}
-
-	void *buffer = malloc(data_len);
-	if (buffer == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
-		fun_del_ref(fun);
-		return;
-	}
-
-	fibril_rwlock_read_lock(&device_tree.rwlock);
-
-	/* Check function state */
-	if (fun->state == FUN_REMOVED) {
-		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		free(buffer);
-
-		async_answer_0(data_callid, ENOENT);
-		async_answer_0(iid, ENOENT);
-		fun_del_ref(fun);
-		return;
-	}
-
-	/* Check whether function has a driver */
-	if (fun->child == NULL || fun->child->drv == NULL) {
-		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		free(buffer);
-
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		fun_del_ref(fun);
-		return;
-	}
-
-	size_t sent_length = str_size(fun->child->drv->name);
-	if (sent_length > data_len) {
-		sent_length = data_len;
-	}
-
-	async_data_read_finalize(data_callid, fun->child->drv->name,
-	    sent_length);
-	async_answer_0(iid, EOK);
-
-	fibril_rwlock_read_unlock(&device_tree.rwlock);
-	fun_del_ref(fun);
-	free(buffer);
-}
 
 /** Get device path. */
@@ -1149,7 +1083,4 @@
 			devman_fun_get_name(callid, &call);
 			break;
-		case DEVMAN_FUN_GET_DRIVER_NAME:
-			devman_fun_get_driver_name(callid, &call);
-			break;
 		case DEVMAN_FUN_GET_PATH:
 			devman_fun_get_path(callid, &call);
@@ -1218,5 +1149,4 @@
 		if (dev->pfun->dev != NULL)
 			driver = dev->pfun->dev->drv;
-		
 		fwd_h = dev->pfun->handle;
 	} else if (dev->state == DEVICE_USABLE) {
@@ -1224,5 +1154,5 @@
 		driver = dev->drv;
 		assert(driver != NULL);
-		
+
 		fwd_h = handle;
 	}
@@ -1251,9 +1181,9 @@
 
 	if (fun != NULL) {
-		log_msg(LVL_DEBUG,
+		log_msg(LVL_DEBUG, 
 		    "Forwarding request for `%s' function to driver `%s'.",
 		    fun->pathname, driver->name);
 	} else {
-		log_msg(LVL_DEBUG,
+		log_msg(LVL_DEBUG, 
 		    "Forwarding request for `%s' device to driver `%s'.",
 		    dev->pfun->pathname, driver->name);
@@ -1263,9 +1193,8 @@
 	async_forward_fast(iid, exch, method, fwd_h, 0, IPC_FF_NONE);
 	async_exchange_end(exch);
-	
+
 cleanup:
 	if (dev != NULL)
 		dev_del_ref(dev);
-	
 	if (fun != NULL)
 		fun_del_ref(fun);
@@ -1370,7 +1299,7 @@
 		return false;
 	}
-	
+
 	log_msg(LVL_DEBUG, "devman_init - list of drivers has been initialized.");
-	
+
 	/* Create root device node. */
 	if (!init_device_tree(&device_tree, &drivers_list)) {
@@ -1378,5 +1307,5 @@
 		return false;
 	}
-	
+
 	/*
 	 * Caution: As the device manager is not a real loc
@@ -1393,10 +1322,9 @@
 int main(int argc, char *argv[])
 {
-	printf("%s: HelenOS Device Manager\n", NAME);
-	
-	int rc = log_init(NAME, LVL_WARN);
-	if (rc != EOK) {
-		printf("%s: Error initializing logging subsystem.\n", NAME);
-		return rc;
+	printf(NAME ": HelenOS Device Manager\n");
+
+	if (log_init(NAME, LVL_WARN) != EOK) {
+		printf(NAME ": Error initializing logging subsystem.\n");
+		return -1;
 	}
 	
@@ -1405,21 +1333,20 @@
 	async_set_client_data_destructor(devman_client_data_destroy);
 	async_set_client_connection(devman_connection);
-	
+
 	if (!devman_init()) {
 		log_msg(LVL_ERROR, "Error while initializing service.");
 		return -1;
 	}
-	
+
 	/* Register device manager at naming service. */
-	rc = service_register(SERVICE_DEVMAN);
-	if (rc != EOK) {
+	if (service_register(SERVICE_DEVMAN) != EOK) {
 		log_msg(LVL_ERROR, "Failed registering as a service.");
-		return rc;
-	}
-	
-	printf("%s: Accepting connections.\n", NAME);
+		return -1;
+	}
+
+	printf(NAME ": Accepting connections.\n");
 	task_retval(0);
 	async_manager();
-	
+
 	/* Never reached. */
 	return 0;
Index: uspace/srv/fs/fat/fat_dentry.c
===================================================================
--- uspace/srv/fs/fat/fat_dentry.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/fs/fat/fat_dentry.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -43,5 +43,4 @@
 #include <byteorder.h>
 #include <assert.h>
-#include <unistd.h>
 
 /** Compare path component with the name read from the dentry.
Index: uspace/srv/hid/console/console.c
===================================================================
--- uspace/srv/hid/console/console.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/hid/console/console.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -852,5 +852,5 @@
 	async_set_client_connection(client_connection);
 	int rc = loc_server_register(NAME);
-	if (rc != EOK) {
+	if (rc < 0) {
 		printf("%s: Unable to register server (%s)\n", NAME,
 		    str_error(rc));
Index: uspace/srv/hid/fb/fb.c
===================================================================
--- uspace/srv/hid/fb/fb.c	(revision b4ca0a9c7a4302dc4ff22c5f6fc9f5a94a0ee3b2)
+++ uspace/srv/hid/fb/fb.c	(revision a33706e404ea2be7e77e6260726d276e79b390f8)
@@ -305,5 +305,5 @@
 	
 	int rc = async_share_out_finalize(callid, &frontbuf->data);
-	if ((rc != EOK) || (frontbuf->data == AS_MAP_FAILED)) {
+	if ((rc != EOK) || (frontbuf->data == (void *) -1)) {
 		free(frontbuf);
 		async_answer_0(iid, ENOMEM);
@@ -348,5 +348,5 @@
 	
 	int rc = async_share_out_finalize(callid, &imagemap->data);
-	if ((rc != EOK) || (imagemap->data == AS_MAP_FAILED)) {
+	if ((rc != EOK) || (imagemap->data == (void *) -1)) {
 		free(imagemap);
 		async_answer_0(iid, ENOMEM);
@@ -990,6 +990,6 @@
 	int rc = loc_server_register(NAME);
 	if (rc != EOK) {
-		printf("%s: Unable to register driver\n", NAME);
-		return rc;
+		printf("%s: Unable to register driver (%d)\n", NAME, rc);
+		return 1;
 	}
 	
